# pfcalcul 1

Implementation of example-1 for HPC @ LAAS

You'll need:

- understanding of example-1
- an account on pfcalcul (doc is available at https://pfcalcul.laas.fr/)
- a copy of this example in `/pfcalcul/work/$USER/pfc-1`
- start the manager `./manager.py`. This might be on the `pfcalcul.laas.fr` frontend, but the real requirements are:
    - must be reachable by network from the pfcalcul nodes
    - must stay available for the whole job time
- populate the Queue with tasks from a master (eg. on your personnal computer): `HOST=pfcalcul.laas.fr ./boss.py`
- ask the pfcalcul to schedule enough minions : `sbatch ./schedule.sh`

After that, you should get a job number. And you'll get mails for everything.

You can show detailed informations about your job with `scontrol show jobid <job_number>`

## Nota Bene

This example start 11 slurm jobs (0 to 10), each one using a single CPU thread, and running a Minion configure to
handle 10 of the tasks defined by the Boss. The Boss puts only 100 tasks in the Queue, so some minions will stop early.
